Subject: Problems retrieving mail (named's fault?)

From: "Stuart Robertson" <[email-masked]>
Date: 7 Dec 1996 21:59:59 GMT

Hi,

I have an interesting problem with mail...

For about 2 weeks now we have been using smail for our office email system.
We have Win95 clients (using pop3) and pop3d on the Linux server.
Everything was working fine.

Then, today I set up a nameserver... :-(

The problem is that now our mail clients are unable to connect to the
server to retrieve mail.
The mail clients start up ok.  But when I press the Send/Receive button in
either 
MS Internet Mail (or MS Exchange), a message pops up saying "The connection
was unexpectedly 
terminated by your mail server....."

Some points:
- The name server is working correctly.  That is, Win95 clients that are
configured to use my name server
  are able to correctly resolve hostnames to IP-addresses.  

- The problem occurs on all machines, regardless of whether or not they are
configured to use the name
  server (we were using local hosts files on all of the machines...).

- If I kill named on the server, the problem goes away immediately.

- We are using diald and the ip-masquerading features of Linux to allow the
Win95 clients to access
  the web as though we had a leased line.  That works perfectly.  I tested
this with some clients directly
  contacting our ISP's name servers, and with other clients contacting my
name server (in which case my
  name server contacts our ISP's name servers on their behalf).  As I say,
this all works correctly.

- I suspect that the problem has to do with the pop3 mail retrieval and not
with SMTP mail delivery (i.e. smail
  itself) because if I watch the sockets opened on the linux machine, I
only see POP3 connections being
  established by the Win95 clients....

- The problem is the same whether or not I include an MX record in
named.hosts.  I shouldn't think this would
   make much difference, anyways, because the clients are able to directly
contact the mail server... besides,
   the MX records don't have anything to do with POP3, do they?

- The problem is the same whether or not I hardcode the POP server
IP-address or use a hostname (which is then
   resolved by DNS).

Is there something really simple that I've done wrong (i.e., am I just
being plain stupid), or is there something
more subtle going on here?

Any help would be greatly appreciated.

Thanks in advance.

Regards,
Stuart Robertson.